# class GxG::Networking::HttpsClientWithPem

### Public Class Methods

new(pem_file_path=nil) click to toggle source

    # File lib/gxg/net_clients.rb, line 5761
    def initialize(pem_file_path=nil)
      unless pem_file_path.is_a?(::String)
        raise ArgumentError, "You MUST provide a path to your PEM file (as a String)."
      end
      @pem_path = pem_file_path
      @client = ::GxG::Networking::HttpClient.new()
      self
    end

### Public Instance Methods

clear_cache() click to toggle source

    # File lib/gxg/net_clients.rb, line 5774
    def clear_cache()
      @client.clear_cache()
    end

cookies() click to toggle source

    # File lib/gxg/net_clients.rb, line 5770
    def cookies()
      @client.cookies()
    end

delete(the_url=nil, options={:follow_symlinks => true}) click to toggle source

    # File lib/gxg/net_clients.rb, line 5787
    def delete(the_url=nil, options={:follow_symlinks => true})
      @client.delete(the_url,options.merge({:use_ssl => true, :pem_file => @pem_path}))
    end

get(the_url=nil, options={:follow_symlinks => true}) click to toggle source

    # File lib/gxg/net_clients.rb, line 5778
    def get(the_url=nil, options={:follow_symlinks => true})
      @client.get(the_url,options.merge({:use_ssl => true, :pem_file => @pem_path}))
    end

post(the_url=nil, form_data=nil, options={:follow_symlinks => true}) click to toggle source

    # File lib/gxg/net_clients.rb, line 5784
    def post(the_url=nil, form_data=nil, options={:follow_symlinks => true})
      @client.post(the_url,form_data,options.merge({:use_ssl => true, :pem_file => @pem_path}))
    end

put(the_url=nil, data=nil, options={:follow_symlinks => true}) click to toggle source

    # File lib/gxg/net_clients.rb, line 5781
    def put(the_url=nil, data=nil, options={:follow_symlinks => true})
      @client.put(the_url,data,options.merge({:use_ssl => true, :pem_file => @pem_path}))
    end